@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
async_context_threadsafe_background_config Struct Reference

Configuration object for async_context_threadsafe_background instances. More...

`#include <async_context_threadsafe_background.h>`

Collaboration diagram for async_context_threadsafe_background_config:
[legend]

## Data Fields

uint8_t | low_priority_irq_handler_priority
| the priority of the low priority IRQ
alarm_pool_t * | custom_alarm_pool
| a specific alarm pool to use (or NULL to use ta default)

## Detailed Description

Configuration object for async_context_threadsafe_background instances.

## Field Documentation

## custom_alarm_pool

alarm_pool_t* async_context_threadsafe_background_config::custom_alarm_pool

a specific alarm pool to use (or NULL to use ta default)

Note
  this alarm pool MUST be on the same core as the async_context

The default alarm pool used is the "default alarm pool" (see alarm_pool_get_default()) if available, and if that is on the same core, otherwise a private alarm_pool instance created during initialization.

The documentation for this struct was generated from the following file:

- include/pico/async_context_threadsafe_background.h